datablock ParticleData(RoadsterExhaustParticle)
{
   textureName          = "base/data/particles/cloud";
   dragCoefficient      = 0.0;
   windCoefficient      = 0.5;
   gravityCoefficient   = -0.75; 
   inheritedVelFactor   = 0.2;
   lifetimeMS           = 250;
   lifetimeVarianceMS   = 0;
   useInvAlpha = true;
   spinRandomMin = 0.0;
   spinRandomMax = 0.0;

   colors[0]     = "0.7 0.5 0.2 0.75";
   colors[1]     = "0.7 0.7 0.7 0.25";
   colors[2]     = "0.65 0.65 0.65 0.0";

   sizes[0]      = 0.20;
   sizes[1]      = 0.25;
   sizes[2]      = 2;

   times[0]      = 0;
   times[1]      = 0.1;
   times[2]      = 1;
};

datablock ParticleEmitterData(RoadsterExhaustEmitter)
{
   ejectionPeriodMS = 10;
   periodVarianceMS = 0;
   ejectionVelocity = 0.5;
   velocityVariance = 0.0;
   ejectionOffset   = 0.1;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "RoadsterExhaustParticle";
};

datablock ParticleData(RoadsterExhaustTireParticle)
{
   dragCoefficient      = 3;
   windCoefficient     = 0;
   gravityCoefficient   = 1;
   inheritedVelFactor   = 0.0;
   constantAcceleration = 0.0;
   spinRandomMin = -90;
   spinRandomMax = 90;
   lifetimeMS           = 900;
   lifetimeVarianceMS   = 0;
   textureName          = "base/data/particles/chunk";
   colors[0]     = "0.1 0.1 0.1 1";
   colors[1]     = "0.1 0.1 0.1 0";
   sizes[0]      = 0.4;
   sizes[1]      = 0.05;
};

datablock ParticleEmitterData(RoadsterExhaustTireEmitter)
{
   ejectionPeriodMS = 2;
   periodVarianceMS = 0;
   ejectionVelocity = 0.5;
   velocityVariance = 0.0;
   ejectionOffset   = 0.1;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "RoadsterExhaustTireParticle";
};

datablock ShapeBaseImageData(RoadsterExhaustImage1)
{
   shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 3;
   rotation = "1 0 0 -90";

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
	stateEmitter[1]					= RoadsterExhaustEmitter;
	stateEmitterTime[1]				= 10000;

};
datablock ShapeBaseImageData(RoadsterExhaustImage2)
{
   	shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 4;
   	rotation = "1 0 0 -90";

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
	stateEmitter[1]					= RoadsterExhaustEmitter;
	stateEmitterTime[1]				= 10000;

};
function RoadsterSmokeCheck(%obj)
{
  %obj.mountImage(RoadsterExhaustImage1,2);
  %obj.mountImage(RoadsterExhaustImage2,3);
}